Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Interface HL7MessageInfoInterface

All Known Implementing Classes:
  HL7MessageInfo

    public interface HL7MessageInfoInterface

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/04/22 05:54:45 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`HL7AcknowledgmentInfoInterface` | `getHL7AcknowledgmentInfo()` Returns the hl7AcknowledgmentInfo.
`HL7CommunicationControlInfoInterface` | `getHL7CommunicationControlInfo()` Returns the hL7CommunicationControlInfo.
`HL7LLPInfoInterface` | `getHL7LLPInfo()` Returns the hl7LLPInfo.
`HL7MSHInfoInterface` | `getHL7MSHInfo()` Returns the hl7MSHInfo.
`HL7PersistInfoInterface` | `getHL7PersistInfo()` Returns the hL7PersistInfo.
`HL7RecourseActionInfoInterface` | `getHL7RecourseActionInfo()` Returns the hL7RecourseActionInfo.
`HL7SeqNumberInfoInterface` | `getHL7SeqNumberInfo()` Returns the hl7SeqNumberInfo.
`HL7SFTInfoInterface` | `getHL7SFTInfo()` Returns the hl7SFTInfo.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getHL7AcknowledgmentInfo

    HL7AcknowledgmentInfoInterface getHL7AcknowledgmentInfo()

  Returns the hl7AcknowledgmentInfo.

  Returns:
    HL7AcknowledgmentInfoInterface

### getHL7LLPInfo

    HL7LLPInfoInterface getHL7LLPInfo()

  Returns the hl7LLPInfo.

  Returns:
    HL7LLPInfoInterface

### getHL7MSHInfo

    HL7MSHInfoInterface getHL7MSHInfo()

  Returns the hl7MSHInfo.

  Returns:
    HL7MSHInfoInterface

### getHL7SFTInfo

    HL7SFTInfoInterface getHL7SFTInfo()

  Returns the hl7SFTInfo.

  Returns:
    HL7SFTInfoInterface

### getHL7SeqNumberInfo

    HL7SeqNumberInfoInterface getHL7SeqNumberInfo()

  Returns the hl7SeqNumberInfo.

  Returns:
    HL7SeqNumberInfoInterface

### getHL7CommunicationControlInfo

    HL7CommunicationControlInfoInterface getHL7CommunicationControlInfo()

  Returns the hL7CommunicationControlInfo.

  Returns:
    HL7CommunicationControlInfo

### getHL7RecourseActionInfo

    HL7RecourseActionInfoInterface getHL7RecourseActionInfo()

  Returns the hL7RecourseActionInfo.

  Returns:
    HL7RecourseActionInfo

### getHL7PersistInfo

    HL7PersistInfoInterface getHL7PersistInfo()

  Returns the hL7PersistInfo.

  Returns:
    HL7PersistInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD